Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring Data Commons
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.data.repository.config
Class AutomaticRepositoryConfigInformation<S extends CommonRepositoryConfigInformation>

    java.lang.Object
      org.springframework.data.repository.config.ParentDelegatingRepositoryConfigInformation<S>
          org.springframework.data.repository.config.AutomaticRepositoryConfigInformation<S>

All Implemented Interfaces:
  CommonRepositoryConfigInformation, SingleRepositoryConfigInformation<S>

    public class AutomaticRepositoryConfigInformation<S extends CommonRepositoryConfigInformation>

extends ParentDelegatingRepositoryConfigInformation<S>

A `SingleRepositoryConfigInformation` implementation that is not backed by an XML element but by a scanned interface. As this is derived from the parent, most of the lookup logic is delegated to the parent as well.

Author:
  Oliver Gierke

Constructor Summary
`AutomaticRepositoryConfigInformation(String interfaceName, S parent)` Creates a new `AutomaticRepositoryConfigInformation` for the given interface name and `CommonRepositoryConfigInformation` parent.

Method Summary
`String` | `getBeanId()` Returns the bean name to be used for the repository.
`String` | `getInterfaceName()` Returns the name of the repository interface.

Methods inherited from class org.springframework.data.repository.config.ParentDelegatingRepositoryConfigInformation
`autodetectCustomImplementation, getBasePackage, getCustomImplementationRef, getImplementationBeanName, getImplementationClassName, getNamedQueriesLocation, getParent, getQueryLookupStrategyKey, getRepositoryFactoryBeanClassName, getRepositoryImplementationSuffix, getSource, getTransactionManagerRef`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AutomaticRepositoryConfigInformation

    public AutomaticRepositoryConfigInformation(String interfaceName,
                                                S parent)

  Creates a new `AutomaticRepositoryConfigInformation` for the given interface name and `CommonRepositoryConfigInformation` parent.

  Parameters:
    `interfaceName` -
    `parent` -

Method Detail

### getBeanId

    public String getBeanId()

  Description copied from interface: `SingleRepositoryConfigInformation`
  Returns the bean name to be used for the repository.

  Returns:

### getInterfaceName

    public String getInterfaceName()

  Description copied from interface: `SingleRepositoryConfigInformation`
  Returns the name of the repository interface.

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring Data Commons
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.